calcite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Julian Hyde <jul...@hydromatic.net>
Subject Re: Dropping Java 6 support in Calcite
Date Tue, 10 Feb 2015 19:41:44 GMT
Sounds like we have consensus. I'll assign https://issues.apache.org/jira/browse/CALCITE-591
to the next release, then https://issues.apache.org/jira/browse/CALCITE-587 can follow.

> On Feb 10, 2015, at 7:03 AM, Jacques Nadeau <jacques@apache.org> wrote:
> 
> +1 on Java
> +1 on upgrading Guava, too
> On Feb 9, 2015 3:50 PM, "Julian Hyde" <julian@hydromatic.net> wrote:
> 
>> +1
>> 
>> Sounds like just about everybody is off 1.6 already. Good.
>> 
>> I have logged https://issues.apache.org/jira/browse/CALCITE-591.
>> 
>> Julian
>> 
>> PS Next battle: upgrade Guava…
>> 
>> On Feb 9, 2015, at 3:22 PM, James Taylor <jamestaylor@apache.org> wrote:
>> 
>>> +1. Phoenix dropped Java 6 support as of our 4.2 release.
>>> Thanks,
>>> James
>>> 
>>> On Mon, Feb 9, 2015 at 2:25 PM, Ashutosh Chauhan <hashutosh@apache.org>
>> wrote:
>>>> +1
>>>> We (Hive) recently dropped support for Java 6, so future releases of
>> Hive
>>>> (calcite-1.0+) won't support java 6.
>>>> 
>>>> Thanks,
>>>> Ashutosh
>>>> 
>>>> On Mon, Feb 9, 2015 at 2:14 PM, Jason Altekruse <
>> altekrusejason@gmail.com>
>>>> wrote:
>>>> 
>>>>> +1 Drill has only ever supported Java 7, while I do know their are
>> some who
>>>>> want to update hadoop clusters (as well as other systems that depend
on
>>>>> calcite) as infrequently as possible, we cannot carry the burden
>> forever.
>>>>> 
>>>>> -Jason
>>>>> 
>>>>> On Mon, Feb 9, 2015 at 2:09 PM, Vladimir Sitnikov <
>>>>> sitnikov.vladimir@gmail.com> wrote:
>>>>> 
>>>>>> +1 for dropping java 6 support.
>>>>>> 
>>>>>> End of public updates for java 6 was in Feb 2013 (3 years ago).
>>>>>> End of public updates for java 7 is somewhere in april 2015.
>>>>>> 
>>>>>> I see little reason to support java 6.
>>>>>> 
>>>>>> Vladimir
>>>>>> 10 февр. 2015 г. 0:52 пользователь "Hartman, Trevor"
<
>> thartman@ebay.com>
>>>>>> написал:
>>>>>> 
>>>>>>> Please vote on whether to drop Java 6 support in Calcite.
>>>>>>> 
>>>>>>> I added a patch [0] that upgrades jetty-server from 7.6.8.v20121106
>> to
>>>>>>> 9.2.7.v20150116. Jetty 9.1+ requires Servlet 3.1 / Java 7+ [1].
>> Unless
>>>>> we
>>>>>>> drop Java 6 support we won't be able to upgrade jetty-server
above
>> 8.x.
>>>>>>> 
>>>>>>> [0] https://github.com/apache/incubator-calcite/pull/49
>>>>>>> [1] https://webtide.com/jetty-9-2-0-released/
>>>>>>> 
>>>>>>> Trevor
>>>>>>> 
>>>>>> 
>>>>> 
>> 
>> 


Mime
View raw message